commit:     420c37cb469510767584bdfa97698dba7adfbce8
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 25 05:49:23 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jun 25 05:51:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=420c37cb

www-apps/nanoc-cli: add 4.12.16

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 www-apps/nanoc-cli/Manifest                 |  1 +
 www-apps/nanoc-cli/nanoc-cli-4.12.16.ebuild | 70 +++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/www-apps/nanoc-cli/Manifest b/www-apps/nanoc-cli/Manifest
index 9451b1ee48b1..21edc8ac5f6c 100644
--- a/www-apps/nanoc-cli/Manifest
+++ b/www-apps/nanoc-cli/Manifest
@@ -1,2 +1,3 @@
 DIST nanoc-4.12.14.tar.gz 347902 BLAKE2B 
325560667b370df0b245523463be8d5e9cda0cbfbe224e790f84c98aab21eee85a87fce962a24fc975cd98b0b68ad8611fe5c42cc4e0001fe4b6b17ab59bbc1a
 SHA512 
bbc54d84f50cb7586467e33db5986ae9c93ba402b102d159864f78cfb2f3102cea736a5b89655345da93b6dfe1576aa188eba143d206a747bbff38dc27a4b2f9
 DIST nanoc-4.12.15.tar.gz 348052 BLAKE2B 
a880b3f5e3f8dc59e0a98d5e957ad6ca64134cc54c2a6e4380e91ce64414c93e8212ee2724b646703ada4ff212576346b9dd3b272cf6adc35d58e1277ab185c8
 SHA512 
43e37005306b137162786f14c54690888845eeee582cedb9947c7cd6baf0c1cc83a51529af89fef48843960726cb04aba6cd0e41b2b2a92615543a303b864150
+DIST nanoc-4.12.16.tar.gz 350823 BLAKE2B 
8196589290b5120b74bd2063e60f1fad14af98f7c8ffcef0a226d28ecb3f129ab04c913ad921e64c9551965c8fe1e26da1e0f41baa64a75caa372d6796c5084b
 SHA512 
e04a562d87250286a9fbdc0381fdc64868f87f67d1ae9ce81f0e21c13496e168cfc4936c02b3cba87e8d647ab070670a208722fd53f4265eb3674b7ba20ccebd

diff --git a/www-apps/nanoc-cli/nanoc-cli-4.12.16.ebuild 
b/www-apps/nanoc-cli/nanoc-cli-4.12.16.ebuild
new file mode 100644
index 000000000000..cb43c1206022
--- /dev/null
+++ b/www-apps/nanoc-cli/nanoc-cli-4.12.16.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="nanoc is a simple but very flexible static site generator written 
in Ruby"
+HOMEPAGE="https://nanoc.app/";
+SRC_URI="https://github.com/nanoc/nanoc/archive/${PV}.tar.gz -> 
nanoc-${PV}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~riscv"
+SLOT="0"
+IUSE="${IUSE} minimal"
+
+RUBY_S="nanoc-${PV}/nanoc-cli"
+
+ruby_add_rdepend "
+       >=dev-ruby/cri-2.15:0
+       >=dev-ruby/diff-lcs-1.3:0
+       ~www-apps/nanoc-core-${PV}
+       >=dev-ruby/zeitwerk-2.1:2
+"
+
+ruby_add_bdepend "test? (
+       dev-ruby/bundler
+       dev-ruby/rspec:3
+       dev-ruby/rspec-its
+       dev-ruby/fuubar
+       dev-ruby/minitest
+       dev-ruby/timecop
+       dev-ruby/tty-command
+       dev-ruby/yard
+       www-apps/nanoc-spec
+)
+"
+
+all_ruby_prepare() {
+       # Avoid unneeded development dependencies
+       sed -i -e '/simplecov/I s:^:#:' \
+               -e '/codecov/I s:^:#:' ../common/spec/spec_helper_head_core.rb 
|| die
+       sed -i -e '/coverall/I s:^:#:' \
+               -e '/rubocop/ s:^:#:' Rakefile || die
+       sed -i -e '2i require "tmpdir"; require "pathname"' spec/spec_helper.rb 
|| die
+
+       echo "-r ./spec/spec_helper.rb" > .rspec || die
+
+       sed -i -e "s:require_relative 'lib:require './lib:" 
${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Avoid error handler specs failing due to different (rubygems?)
+       # output, meta_spec is affected by this.
+       rm -f spec/nanoc/cli/error_handler_spec.rb spec/meta_spec.rb || die
+
+       # Avoid test requiring a network interface
+       sed -i -e '/does not listen on non-local interfaces/askip "Needs 
network"' spec/nanoc/cli/commands/view_spec.rb || die
+
+       # Avoid tests requiring an additional dependency on nanoc-live
+       sed -i -e '/--live-reload is given/askip "Unpackaged nanoc-live"' 
spec/nanoc/cli/commands/view_spec.rb || die
+       sed -i -e '/watches with --watch/askip "Unpackaged nanoc-live"' 
spec/nanoc/cli/commands/compile_spec.rb || die
+}
+
+each_ruby_test() {
+       RUBYLIB="${S}/lib" ${RUBY} -S rake spec || die
+}

Reply via email to